Subject: Re: Proposed interface for per-packet mesh-ttl

From: Stephen Hemminger <[email-masked]>
Date: Sat, 28 Jul 2007 07:31:45 +0100

On Fri, 27 Jul 2007 18:22:22 -0400
Dan Williams <[email-masked]> wrote:

> On Fri, 2007-07-27 at 20:56 +0100, Christoph Hellwig wrote:
> > On Tue, Jul 03, 2007 at 12:29:24PM -0700, Javier Cardona wrote:
> > > I'm currently working on per-packet mesh ttl.  My plan is to register
> > > new mesh sockopts through netfilter.  The user interface will be:
> > 
> > NACK.  Drivers should never add sockopt, and drivers should not abuse
> > netfilter hooks.
> 
> Do you have a suggestion for a better way to approach per-packet options
> that userspace programs can set?
> 
> Thanks,
> Dan

In this case perhaps you can have a table that maps skb->priority to
mesh ttl? priorty can already by handled by existing setsockopt calls,
and modified by netfilter and QoS managements.